<app-header></app-header>
<mat-drawer-container class="example-container" autosize>
  <div class="example-sidenav-content">
    <app-titlemodule class="divtitle" [title] = title [route] = route></app-titlemodule>
    <div class="container-fluid float-right col-12 col-qpad divtop">
      <app-button *ngIf="!banperm" [banctrl]="[false ,false, false, false, false, true]" [opcion] = 1 [modulo]="modulo" ></app-button>
    </div>
    <div *ngIf="pageService.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2 d-block d-lg-none d-md-nonek">

      <mat-paginator [length]="collectionSize" (page)="pageService.actualizaTabla2(dataGlobal, $event);"
            [pageSize]="pageService.pageSize"
            [pageSizeOptions]="pageService.pageSizeOptions">
      </mat-paginator>

    </div>
    <div *ngIf="!banperm && pageService.dataSource.length > 0" class="container-fluid float-left div-table col-12" style="text-align: right;">
      <mat-form-field style="width: 350px;">
        <input matInput (keyup)="applyFilter()" placeholder="Búsqueda por nombres o apellidos" [(ngModel)]="search">
        <span matPrefix><i class="fa fa-search text-info"></i> &nbsp;</span>
      </mat-form-field>
    </div>

    <div *ngIf="!banperm" class="container-fluid float-left div-table col-12" >
      <div class="d-none d-lg-block d-md-block">
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <th class="col-l col-100" scope="col"></th>
            <th class="col-l col-100" scope="col">NOMBRES y APELLIDOS</th>
            <th class="col-l col-w" scope="col">EMAIL</th>
            <th class="col-l col-100" scope="col">TELÉFONOS</th>
            <th class="col-l col-w" scope="col">USUARIO</th>
            <th class="col-l col-w" scope="col">ADMINISTRADOR</th>
            <th class="col-l col-w" scope="col">ESTADO</th>
            <th class="col-l col-w" scope="col">CONFIRMADO</th>
            <th class="col-l col-w" scope="col">FECHA REGISTRO</th>

          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of pageService.dataSource">

            <th scope="row" class="col-100 col-c">
              <a *ngIf="regist.activo == 1" class="btn btn-sm btn-danger" matTooltip="Eliminar registro" (click)="eliminarusuario(regist.id, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
              <a *ngIf="regist.activo == 0" class="btn btn-sm btn-success" matTooltip="Habilitar registro" (click)="eliminarusuario(regist.id, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
              <a  class="btn btn-sm btn-dark" matTooltip="Editar registro" (click)="editarusuario(regist.id)"><i class="fa fa-edit"></i></a>&nbsp;
              <a  class="btn btn-sm btn-list" matTooltip="Accesos - opciones" (click)="accesosOpciones(regist.id)"><i class="fa fa-lock"></i></a>&nbsp;

            </th>
            <td class="col-l col-100">{{ regist.nombreCompleto }}</td>
            <td class="col-l col-100">{{ regist.email }}</td>
            <td class="col-l col-100">{{ regist.telefonos }}</td>
            <td class="col-l col-100">{{ regist.usuario }}</td>
            <td class="col-c col-25"><i matTooltip="{{ regist.activo == 1 ? 'Si' : 'No' }}" class="fa fa-{{ regist.administrador == 1 ? 'check' : 'times' }} fa-tbl text-{{ regist.administrador == 1 ? 'success' : 'danger' }}"></i></td>
            <td class="col-c col-25"><i matTooltip="{{ regist.activo == 1 ? 'Si' : 'No' }}" class="fa fa-{{ regist.activo == 1 ? 'check' : 'times' }} fa-tbl text-{{ regist.activo == 1 ? 'success' : 'danger' }}"></i></td>
            <td class="col-c col-25"><i matTooltip="{{ regist.activo == 1 ? 'Si' : 'No' }}" class="fa fa-{{ regist.confirmado == 1 ? 'check' : 'times' }} fa-tbl text-{{ regist.confirmado == 1 ? 'success' : 'danger' }}"></i></td>
            <td class="col-c col-50">{{ regist.fecharegistro | date:'dd-MM-yyyy HH:mm:ss' }}</td>
          </tr>
          <tr *ngIf="pageService.dataSource.length == 0" class="col-c cel-ie">
            <td colspan="9">No hay registros de usuarios</td>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td colspan="12" class="col-r"><b>{{ dataGlobal.length | number }} registros</b></td>
            </tr>
          </tfoot>
        </table>
      </div>
      <div class="d-block d-lg-none d-md-none">
        <table class="font-comp table-style">
            <div class="col-12" style="padding-right: 0px;" *ngFor="let regist of pageService.dataSource">
                <div class="card bg-c-dark order-card">
                    <div class="card-block">
                        <h6 class="m-b-20">{{ regist.nombreCompleto}}<br><span class="num-tot"></span>{{ regist.fecharegistro | date: 'dd-MM-yyyy HH:mm:ss' }}</h6>

                        <h2 style="font-size: 1.5em;">USUARIO: <span class="num-tot2">{{ regist.usuario}} </span>
                          <span class="f-right">
                            <a *ngIf="regist.activo == 1" class="btn btn-xs btn-danger" matTooltip="Eliminar registro" (click)="eliminarusuario(regist.id, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
                            <a *ngIf="regist.activo == 0" class="btn btn-xs btn-success" matTooltip="Habilitar registro" (click)="eliminarusuario(regist.id, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
                            <a  class="btn btn-xs btn-dark" matTooltip="Editar registro" (click)="editarusuario(regist.id)"><i class="fa fa-edit"></i></a>&nbsp;
                            <a  class="btn btn-xs btn-list" matTooltip="Accesos - opciones" (click)="accesosOpciones(regist.id)"><i class="fa fa-lock"></i></a>&nbsp;
                          </span></h2>
                          <p class="m-b-0">EMAIL<span class="f-right">{{ regist.email }}</span></p>
                          <p class="m-b-0">TELÉFONOS<span class="f-right">{{ regist.telefonos }}</span></p>
                          <p class="m-b-0">ADMINISTRADOR<span class="f-right"><i matTooltip="{{ regist.activo == 1 ? 'Si' : 'No' }}" class="fa fa-{{ regist.administrador == 1 ? 'check' : 'times' }} fa-tbl text-{{ regist.administrador == 1 ? 'success' : 'danger' }}"></i></span></p>
                          <p class="m-b-0">CONFIRMADO<span class="f-right"><i matTooltip="{{ regist.activo == 1 ? 'Si' : 'No' }}" class="fa fa-{{ regist.confirmado == 1 ? 'check' : 'times' }} fa-tbl text-{{ regist.confirmado == 1 ? 'success' : 'danger' }}"></i></span></p>

                    </div>
                </div>
            </div>
            <tbody>
              <tr>
                <th *ngIf="pageService.dataSource.length == 0" class="col-l" style="padding: 10px 0px;">
                  No se ha registrado usuarios.
                </th>
              </tr>
            </tbody>
        </table>
      </div>
    </div>
    <div *ngIf="!banperm && pageService.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2">

      <mat-paginator [length]="collectionSize" (page)="pageService.actualizaTabla2(dataGlobal, $event);"
            [pageSize]="pageService.pageSize"
            [pageSizeOptions]="pageService.pageSizeOptions">
      </mat-paginator>

    </div>

  </div>
  <mat-drawer #drawer class="example-sidenav" >
    <app-menu></app-menu>
  </mat-drawer>
  <!-- <app-registro></app-registro> -->
</mat-drawer-container>





